Bug 1675088

Summary: guacamole-server: FTBFS in Fedora rawhide/f30
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: guacamole-serverAssignee: Simone Caronni <negativo17>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: negativo17
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: guacamole-server-1.1.0-1.20190711git1a9d1e8.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-30 01:14:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1674516    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Fedora Release Engineering 2019-02-11 19:39:58 UTC
guacamole-server failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32398870


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix guacamole-server at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
guacamole-server will be orphaned. Before branching of Fedora 31,
guacamole-server will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 19:40:01 UTC
Created attachment 1530426 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 19:40:02 UTC
Created attachment 1530427 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 19:40:03 UTC
Created attachment 1530428 [details]
state.log

Comment 4 Simone Caronni 2019-02-28 19:13:26 UTC
Waiting for version 1.1.0:

https://github.com/apache/guacamole-server/pull/209

Comment 5 Fedora Update System 2019-07-21 13:26:19 UTC
FEDORA-2019-cdabcea90f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cdabcea90f

Comment 6 Fedora Update System 2019-07-22 01:10:32 UTC
guacamole-server-1.1.0-1.20190711git1a9d1e8.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cdabcea90f

Comment 7 Fedora Update System 2019-07-30 01:14:33 UTC
guacamole-server-1.1.0-1.20190711git1a9d1e8.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.